﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GiftShopDataModels.Models
{
    public interface IShopModel : IId
    {
        public string ShopName { get; }
        public string ShopAddress { get; }
        DateTime OpeningDate { get; }
        Dictionary<int, (IGiftModel, int)> Gifts { get; }
    }
}
