﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using GiftShopDataModels.Models;

namespace GiftShopContracts.BindingModels
{
    public class ShopBindingModel : IShopModel
    {
        public string ShopName { get; set; } = string.Empty;
        public string ShopAddress { get; set; } = string.Empty;
        public DateTime OpeningDate { get; set; } = DateTime.Now;
        public Dictionary<int, (IGiftModel, int)> Gifts { get; set; } = new();
        public int Id { get; set; }
    }
}
