﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using GiftShopDataModels.Models;

namespace GiftShopContracts.ViewModels
{
    public class ShopViewModel : IShopModel
    {
        public Dictionary<int, (IGiftModel, int)> Gifts { get; set; } = new();
        public int Id { get; set; }

        [DisplayName("Название магазина")]
        public string ShopName { get; set; } = string.Empty;
        [DisplayName("Адрес магазина")]
        public string ShopAddress { get; set; } = string.Empty;
        [DisplayName("Дата открытия")]
        public DateTime OpeningDate { get; set; } = DateTime.Now;
    }
}
